stereoskopowy mplayer-1.1-R1

Niedawno nowy mplayer-1.1-r1 ebuild pojawił się w Portage. W artykule stereoskopowym mplayer-1.0_rc4_p20110322 I pod zmodyfikowaną poprawkę dla stereoskopowego wsparcia w mplayer-1.0_rc4_p20110322. Ta poprawka nie działa w obecnej wersji już. Jednak został wymagany tylko drobne poprawki. Aby skorzystać z nowego systemu, po prostu go pobrać stąd: mplayer-stereoskopowy-1.1-r1.patch (610) i skopiuj go do:

/etc/portage/patches/media-video/mplayer-1.1-r1/

Następnie pojawiają się mplayer i grać stereoskopowych filmów z:

MPlayer -vo gl2: stereo some_movie_file.avi

mithrandir

1 Star2 Stars3 Stars4 Stars5 Stars (Brak ocen)
Loading ... Ładowanie ...

FlightGear-2.8.0 z quad buforowane stereo

 Flightgear 2.8.0 with quad buffered stereo

W artykule FlightGear z quad buforowane stereo pisałem o tym, jak dostać się quad buforowane stereo do pracy z słynnego symulatora lotu FlightGear . Ostatnio FlightGear-2.8.0 została wydana. Problem z stereo z poczwórnym buforem nadal utrzymuje z FlightGear-2.8.0.

Oczekuje na włączenie trybu stereoskopowego w FlightGear rozpoczynając go z poniższej linii:

OSG_STEREO_MODE eksport = QUAD_BUFFER; eksport OSG_STEREO = ON; FGF

Przy uruchamianiu FlightGear w ten sposób, ludzie się następujące wyjścia konsoli i nie stereoskopowy widok:

Ostrzeżenie: Wykryto błąd OpenGL "Nieprawidłowa operacja" po RenderBin :: remisem (,)

Pierwsze FlightGear do pracy z quad-buforowane stereo

Przyczyną powyższego komunikatu błędu, a otrzymany trybie stereofonicznym rozerwana, że ​​kontekst stereo nie zostanie poprawnie zainicjalizowany. Szczegóły są opisane tutaj: Flightgear z quad buforowane stereo . Niestety poprawka zaproponowałem w wymienionym postu nie działa dla FlightGear-2.8.0. Jednak dobrą wiadomością jest to, że wymaga tylko niewielkiej modyfikacji, plik WindowBuilder.cxx nie jest w src / Menem, ale w katalogu / Viewer src. Możesz pobrać nową łatkę stąd: FlightGear-2.8.0-stereoscopic.patch (756)

Mam nadzieję, że poprawka znajdzie swoją drogę do następnej wersji FlightGear.

Jak zwykle na quad buforowane stereo, należy użyć profesjonalnej karty graficznej, która obsługuje quad buforowane stereo, jak NVIDIA Quadro FX lub ATI FireGL i właściwego sprzętu wyświetlacza, jak okularów, a HMD lub stereoskopowego systemu projekcji, aby korzystać z to. Aby korzystać z trybu stereo z poczwórnym buforem FlightGear z rozpoczęcia zmiennych środowiskowych wymienionych powyżej. Potem pewnie trzeba włączyć tryb stereo z poczwórnym buforem, wybierając Opcje widoku stereoskopowego Pozycja w menu Widok.

Sposób Gentoo

Dla użytkowników Gentoo Stworzyłem nakładkę. Jak poprzedni zawiera poprawki i zmodyfikowane ebuildy dla FlightGear z pracy wsparcie bufora quad. Możesz dostać nakładkę tutaj: FlightGear-2.8.0 nakładki (668) Pobierz nakładkę i rozpakowania go w katalogu / usr / local / portage. Pamiętaj, aby podać następującą linię w pliku /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Wtedy dopiero FlightGear i cieszyć się nim w trzech wymiarach.

Baw się dobrze

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Brak ocen)
Loading ... Ładowanie ...

glsldevil binarne

Około rok temu pisałem o OpenGL / GLSL debuggera glsldevil w artykule gentoo ebuilda dla glsldevil-1.1.5 i pod warunkiem ebuilda dla niego. Niestety glsldevil wydaje się nie być już dostępne na stronie internetowej Uniwersytetu w Stuttgarcie ( http://cumbia.informatik.uni-stuttgart.de/glsldevil/ ), które świadczone ebuild bezużyteczne.

Edit 29/5/2012: przy ściągnij z Uniwersytetu w Stuttgarcie jest znowu dostępny.

Ponieważ licencja glsldevil umożliwia redystrybucję, postanowiłem wrzucić moje lokalnej kopii, aby glsldevil dostępne dla publiczności ponownie. Niestety dotyczy to tylko aplikacji linuksowych (32bit i 64bit) i ani binariów Windows lub kodu źródłowego.

Możesz pobrać aplikacji linuksowych tutaj: glsldevil-1.1.5.tar.gz (783)

Do użytku z ebuilda, wystarczy skopiować plik do katalogu / usr / portage / distfiles /.

pozdrowienia
Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (1 głosów, średnia: 5.00 z 5)
Loading ... Ładowanie ...

nvidia-drivers-295,17 rozwiazuje problemu czarnego ekranu

Korzystanie nvidia sterowniki dla Linuksa od wersji 270.X do 275.X z niektórymi kartami graficznymi, na przykład Quadro FX 350M, który jest wbudowany w notebook Dell Precision M65, spowodowało czarny ekran lub okno dla aplikacji OpenGL. Nawet glxgears nie wyświetli jedynie czarne okno. Problem ten był omawiany na forums.opensuse.org . Downgrade do niższej wersji sterownika, na przykład wersji 260.X kierowcy już nie ma zastosowania, ponieważ te sterowniki nie kropka budować przeciwko niedawnym kernel linux-3. Upgrade do nowszych sterowników nie było możliwe, ponieważ wersje sterowników z 285.X do 295,10 nie działa w ogóle w tym karty graficznej. Ostatnio wersja 295,17 sterownika firmy NVIDIA beta stały się dostępne, która rozwiązuje ten problem. Pobierz linki są dostępne na nvnews.net .

Dla użytkowników Gentoo mam zmodyfikowała Ebuild nvidia-drivers dla kierowcy 295,17. Możesz pobrać moje zmodyfikowane nakładki, nvidia-drivers-295.17.tar.gz (361) i rozpakować go w katalogu / usr / local / portage. Pamiętaj, aby podać następującą linię w pliku /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Następnie można wyjść nvdidia-drivers-295,17.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Brak ocen)
Loading ... Ładowanie ...

FlightGear-2.4.0 z quad buforowane stereo

 Flightgear 2.4.0 with quad buffered stereo

W post FlightGear z quad buforowane stereo pisałem o tym, jak dostać się quad buforowane stereo do pracy z słynnego symulatora lotu FlightGear . Ostatnio FlightGear-2.4.0 została wydana. Problem z stereo z poczwórnym buforem nadal utrzymuje z FlightGear-2.4.0.

Oczekuje na włączenie trybu stereoskopowego w FlightGear rozpoczynając go z poniższej linii:

OSG_STEREO_MODE eksport = QUAD_BUFFER; eksport OSG_STEREO = ON; FGF

Przy uruchamianiu FlightGear w ten sposób, ludzie się następujące wyjścia konsoli i nie stereoskopowy widok:

Ostrzeżenie: Wykryto błąd OpenGL "Nieprawidłowa operacja" po RenderBin :: remisem (,)

Pierwsze FlightGear do pracy z quad-buforowane stereo

Przyczyną powyższego komunikatu błędu, a otrzymany trybie stereofonicznym rozerwana, że ​​kontekst stereo nie zostanie poprawnie zainicjalizowany. Szczegóły są opisane tutaj: Flightgear z quad buforowane stereo . Jednak dobrą wiadomością jest to, że ta poprawka zaproponowałem we wspomnianym wątku, nadal współpracuje z FlightGear-2.4.0. Możesz pobrać łatkę stąd: FlightGear-2.0.0-stereoscopic.patch (801)

Jak zwykle na quad buforowane stereo, należy użyć profesjonalnej karty graficznej, która obsługuje quad buforowane stereo, jak NVIDIA Quadro FX lub ATI FireGL i właściwego sprzętu wyświetlacza, jak okularów, a HMD lub stereoskopowego systemu projekcji, aby korzystać z to. Aby korzystać z trybu stereo z poczwórnym buforem FlightGear z rozpoczęcia zmiennych środowiskowych wymienionych powyżej. Potem pewnie trzeba włączyć tryb stereo z poczwórnym buforem, wybierając Opcje widoku stereoskopowego Pozycja w menu Widok.

Z poprzedniej wersji, w przypadku korzystania z trybu stereo z poczwórnym buforem w FlightGear, nastąpiło pewne błędy graficzne. Niektóre elementy sterujące w kabinie oraz inne szczegóły sceny zawarte żółte linie, jak szkielet, którego nie było przy uruchamianiu FlightGear w "normalnym" trybie wyświetlania. Problemy te wydają się być już z FlightGear-2.4.0. Przynajmniej ja nie zauważyłem ich więcej.

Sposób Gentoo

Dla użytkowników Gentoo Stworzyłem nakładkę. Jak poprzedni zawiera poprawki i zmodyfikowane ebuildy dla FlightGear z pracy wsparcie bufora quad. Możesz dostać nakładkę tutaj: FlightGear-2.4.0 nakładki (372) Pobierz nakładkę i rozpakowania go w katalogu / usr / local / portage. Pamiętaj, aby podać następującą linię w pliku /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Wtedy dopiero FlightGear i cieszyć się nim w trzech wymiarach.

Baw się dobrze

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Brak ocen)
Loading ... Ładowanie ...

MPlayer-1.0_rc4_p20110322 stereoskopowy

Wczoraj nowy mplayer-1.0_rc4_p20110322 ebuild pojawił się w Portage. W po raz kolejny pracy stereoskopowym mplayer część 2 i pod warunkiem, zmodyfikowaną poprawkę dla stereoskopowego wsparcia w mplayer-1.0_rc4_p20101114. Ta poprawka nadal działa z aktualną wersją. Aby go użyć, wystarczy pobrać łatkę stamtąd i skopiuj go do:

/etc/portage/patches/media-video/mplayer-1.0_rc4_p20110322-r1/

potem wyjść i grać mplayera ze stereoskopowych filmów

MPlayer -vo gl2: stereo some_movie_file.avi

mithrandir

1 Star2 Stars3 Stars4 Stars5 Stars (Brak ocen)
Loading ... Ładowanie ...

Bino-1.0 ebuild dla Gentoo

Ostatnio pisałem o Bino , stereoskopowego odtwarzacza wideo, który jest użyteczny w Linuksie, a także obsługuje quad buforowane stereo. W międzyczasie pierwsza stabilna wersja 1.0 została wydana. Jego główne cechy to:

  • Wsparcie dla stereoskopowego wideo 2D i 3D w różnych formatach i układów wejścia stereo.
  • Wsparcie dla wielu 3D metod produkcji, w tym okulary anaglyph, okularów, ekranów autostereoskopowych, telewizory 3D i wielu rozproszonych instalacji wyświetlaczy, takich jak powerwalls lub instalacji wirtualnej rzeczywistości.

Sposób Gentoo

Dla użytkowników Gentoo tu jest mój nakładka tym ebuildzie: Bino-1.0_overlay.tar.gz (594) Pobierz nakładkę i wyodrębnić go w katalogu / usr / local / portage. Pamiętaj, aby podać następującą linię w pliku /etc/make.conf:

PORTDIR_OVERLAY = "/ usr / local / portage"

Wtedy dopiero Bino i cieszyć przeglądania 3d filmów.

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (Brak ocen)
Loading ... Ładowanie ...
2011-05-04

mygnu informacji

rolki blog

Informacje o stronie

Trans lator

English flagItalian flagKorean flagChinese (Simplified) flagChinese (Traditional) flagPortuguese flagGerman flagFrench flag
Spanish flagJapanese flagArabic flagRussian flagGreek flagDutch flagBulgarian flagCzech flag
Croatian flagDanish flagFinnish flagHindi flagPolish flagRomanian flagSwedish flagNorwegian flag
Catalan flagFilipino flagHebrew flagIndonesian flagLatvian flagLithuanian flagSerbian flagSlovak flag
Slovenian flagUkrainian flagVietnamese flag